%define         srcname       wmGrabImage


Name:           wmgrabimage
Version:        0.72
Release:        %mkrel 1
Summary:        A dockapp that maintains a thumbnail copy of any remote image
License:        GPLv2
Group:          Monitoring

URL:            http://www.dockapps.org/file.php/id/12
Source0:        http://www.dockapps.org/download.php/id/19/%{srcname}-%{version}.tgz

#fix old style call to convert with -geom instead of expected -geometry
Patch0:          %{srcname}-0.72-convert.patch


BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel
BuildRequires:  libxext-devel

Requires: perl
Requires: imagemagick
Requires: wget
Requires: sed



%description
Wmgrabimage is another dockapp for WindowMaker, or any window manager
and desktop environment that handles dock applications. It displays a
small copy of any remote image you want to monitor via the "-url"
command line argument. The default update interval is 5 minutes but
can be overridden through the "-delay" option.



%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p0 -b .old


%build
cd %{srcname}
%make clean
%make


%install
rm -rf %{buildroot}
cd %{srcname}
install -D -m 755 GrabImage %{buildroot}%{_bindir}/GrabImage
install -D -m 755 %{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING HINTS TODO
%{_bindir}/GrabImage
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*





%changelog

* Tue Oct 18 2011 eatdirt <eatdirt> 0.72-1.mga2
+ Revision: 156361
- imported package wmgrabimage


* Tue Oct 18 2011 Chris Ringeval <dirteat@gmail.com> 0.72-1.mga2
- import wmgrabimage
